QueryTablePrimaryKeys operation
GET
/
logs/primarykeysSuccess
GetTableSchema returns the column definitions and data skipping indexes for a table.
GetTableSchema returns the column definitions and data skipping indexes for a table.
POST
/
logs/query/get-schemaSuccess
QuerySqlText operation
POST
/
logs/query/get-sqlSuccess
Success
ListTables lists the tables available to query in the workspace.
ListTables lists the tables available to query in the workspace.
POST
/
logs/query/list-tablesRequest Body
application/jsonRequiredSuccess
LogsQueryV2Cancel operation
POST
/
logs/query/v2/cancelSuccess
LogsQueryV2History operation
POST
/
logs/query/v2/historyRequest Body
application/jsonRequiredasyncOnlyboolean
investigationsarray<string>
limitinteger
myQueriesboolean
offsetinteger
searchstring
statusstring
Success
QueryHistoryUpdateMetadata updates the metadata for a specific query history
QueryHistoryUpdateMetadata updates the metadata for a specific query history
POST
/
logs/query/v2/history/update-metadataSuccess
Success
RunQuery operation
POST
/
logs/query/v3Request Body
application/jsonRequiredasyncboolean
investigationsarray<string>
limitinteger
parametersobject
progressboolean
querystring
sourcestring
Success
LogsQueryV3Results reads the query log from the database and returns paginated query results from ClickHouse.
LogsQueryV3Results reads the query log from the database and returns paginated query results from ClickHouse.
POST
/
logs/query/v3/resultsSuccess